> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset OHLCV

> Get OHLCV (Open, High, Low, Close, Volume) data for the last 24 hours for a single asset. Returns only the OHLCV data with asset identifiers.



## OpenAPI

````yaml /openapi.json get /v1/assets/{idOrSlug}/ohlcv
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/assets/{idOrSlug}/ohlcv:
    get:
      tags:
        - assets
      summary: Get Asset OHLCV
      description: >-
        Get OHLCV (Open, High, Low, Close, Volume) data for the last 24 hours
        for a single asset. Returns only the OHLCV data with asset identifiers.
      operationId: AssetController_getOhlcv_v1
      parameters:
        - name: idOrSlug
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: OHLCV data for the specified asset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetOhlcvWithIdentifiers'
              example:
                open: 2991.0164373997
                high: 4514.81
                low: 4347.24
                close: 2972.9752699223
                volume: 14018548707.668
                updated_at: 1759454319
                asset_code: ETH
                asset_slug: ethereum
        '400':
          description: Bad Request
        '404':
          description: Not Found
components:
  schemas:
    AssetOhlcvWithIdentifiers:
      type: object
      properties:
        open:
          type: number
          nullable: true
          format: double
        high:
          type: number
          nullable: true
          format: double
        low:
          type: number
          nullable: true
          format: double
        close:
          type: number
          nullable: true
          format: double
        volume:
          type: number
          nullable: true
          format: double
        updated_at:
          type: number
          nullable: true
          description: Unix timestamp
        asset_code:
          type: string
          maxLength: 20
        asset_slug:
          type: string
          maxLength: 100
      required:
        - open
        - high
        - low
        - close
        - volume
        - updated_at
        - asset_code
        - asset_slug
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````